#pragma once

#include <string>

class scoped_set_adder
{
public:
    scoped_set_adder(const std::string& name);
    ~scoped_set_adder();
    scoped_set_adder(const scoped_set_adder&) = delete;
    scoped_set_adder& operator=(const scoped_set_adder&) = delete;

    static bool dump();

private:
    std::string name_;
};
